import request from "@/utils/request";

let url = '/caoYaoYiZhu/'

export function huoQuCaoYaoShuJu(data) {
    return request({
        url: url + 'huoQuCaoYaoShuJu',
        method: 'post',
        data
    })
}

export function huoQuChaoYaoMingXi(orderNo) {
    return request({
        url: url + 'huoQuChaoYaoMingXi',
        method: 'get',
        params: {orderNo}
    })
}

export function fuYongFangFa() {
    return request({
        url: url + 'fuYongFangFa',
        method: 'get',
    })
}

export function huoQuCaoYao(queryName, groupNo) {
    return request({
        url: url + 'huoQuCaoYao',
        method: 'get',
        params: {queryName, groupNo}
    })
}

export function huoQuMuBan(queryName, deptCode, currentPage, pageSize, total) {
    return request({
        url: url + 'huoQuMuBan',
        method: 'get',
        params: {queryName, deptCode, currentPage, pageSize, total}
    })
}

export function muBanXiangQing(name, deptCode) {
    return request({
        url: url + 'muBanXiangQing',
        method: 'get',
        params: {name, deptCode}
    })
}

export function chongFuMuBanMing(name) {
    return request({
        url: url + 'chongFuMuBanMing',
        method: 'get',
        params: {name}
    })
}


export function cunMuBanApi(data) {
    return request({
        url: url + 'cunMuBan',
        method: 'post',
        data
    })
}

export function baoCunCaoYao(data) {
    return request({
        url: url + 'baoCunCaoYao',
        method: 'post',
        data
    })
}

export function shanChuMuBan(name, deptCode) {
    return request({
        url: url + 'shanChuMuBan',
        method: 'get',
        params: {name, deptCode}
    })
}

export function shanChuCaoYao(patNo, times, orderNo) {
    return request({
        url: url + 'shanChuCaoYao',
        method: 'get',
        params: {patNo, times, orderNo}
    })
}









